%global namedreltag -SNAPSHOT
%global namedversion %{version}%{?namedreltag}
%global base_name cli-avalon
%global short_name commons-%{base_name}
Name:          apache-%{short_name}
Version:       2.0
Release:       %mkrel 2
Summary:       Commons CLI - Avalon Implementation
Group:         Development/Java
License:       ASL 2,0
Url:           http://commons.apache.org/cli/
# svn export https://svn.apache.org/repos/asf/commons/sandbox/avalon-cli/trunk apache-commons-cli-avalon-2.0-SNAPSHOT
# tar czf apache-commons-cli-avalon-2.0-SNAPSHOT-src-svn.tar.gz apache-commons-cli-avalon-2.0-SNAPSHOT
Source0:       apache-commons-cli-avalon-%{namedversion}-src-svn.tar.gz
# ant build.* files
Source1:       apache-commons-cli-avalon-%{namedversion}-autogeneratedfiles.tar.gz
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-sandbox-parent

BuildRequires: maven
BuildRequires: maven-ant-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

BuildRequires: jdepend
BuildRequires: junit

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Commons CLI provides a simple API for presenting, processing and
validating a command line interface. This is an implementation from 
Avalon's code base, as used in Apache JMeter.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

sed -i 's/\r//' LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt

%build

mvn-rpmbuild -e ant:ant install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{short_name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{short_name}.jar
(
  cd %{buildroot}%{_javadir}
  ln -sf %{short_name}.jar %{name}.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%add_maven_depmap JPP-%{short_name}.pom %{short_name}.jar
%add_to_maven_depmap org.apache.commons %{short_name} %{version} JPP %{short_name}

mkdir -p %{buildroot}%{_javadocdir}/%{short_name}
cp -pr  target/site/apidocs/* %{buildroot}%{_javadocdir}/%{short_name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{short_name}.jar
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/*
%{_mavenpomdir}/*
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/%{short_name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 345651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 gil <gil> 2.0-1.mga2
+ Revision: 172673
- imported package apache-commons-cli-avalon

